Package org.apache.avro

# Interface NameValidator

public interface NameValidator

## Nested Class Summary

Nested Classes
Modifier and Type
Interface
Description
`static class`
`NameValidator.Result`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final NameValidator`
`NO_VALIDATION`
`static final NameValidator.Result`
`OK`
`static final NameValidator`
`STRICT_VALIDATOR`
`static final NameValidator`
`UTF_VALIDATOR`

## Method Summary

Modifier and Type
Method
Description
`default NameValidator.Result`
`validate(String name)`

## Field Details

### OK

static final NameValidator.Result OK

### NO_VALIDATION

static final NameValidator NO_VALIDATION

### UTF_VALIDATOR

static final NameValidator UTF_VALIDATOR

### STRICT_VALIDATOR

static final NameValidator STRICT_VALIDATOR

## Method Details

### validate

default NameValidator.Result validate(String name)